GetCanDelegatedMaxSize
POST
In Stake 2.0, query the amount of delegatable resources share of the specified resource type for an address, unit is sun.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)typeintegerrequired
Resource type, 0 is bandwidth, 1 is energy.visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
max_sizeinteger
Maximum amount of delegatable resource shares. (Unit: sun)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getcandelegatedmaxsize' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'